#include <bootblock_common.h>

static void main(unsigned long bist)
{
	if (boot_cpu()) {
		// workaround for simnow (simnow matches SB700 spec for 6c
		// default, but does not match real hardware)
		pci_io_write_config32(PCI_DEV(0, 0x14, 3), 0x6c, 0xfffffff0);

		bootblock_northbridge_init();
		bootblock_southbridge_init();
	}
	const char* target1 = "fallback/romstage";
	unsigned long entry;
	entry = findstage(target1);
	if (entry) call(entry, bist);
	asm volatile ("1:\n\thlt\n\tjmp 1b\n\t");
}

