@echo off
cd %~dp0

rem # make sure coreboot can be found in a directory named 'coreboot'
if not exist coreboot\src (
   echo.
   echo.
   echo === Please place the coreboot source code in a directory named "coreboot" ===
   echo.
   pause
   exit 1
   )

rem # make sure msys can be found from environment variable %msys_for_coreboot%
if not exist %msys_for_coreboot%\bin (
   echo.
   echo.
   echo ------------------------------------------------
   echo =         Unable to find msys directory        =
   echo =  Set environment variable msys_for_coreboot  =
   echo ------------------------------------------------
   echo.
   pause
   exit 1
   )

rem # Set the bash startup dirctory (need a better way, for now pass it to etc/profile).
set COREBOOT_PROJECT_DIR=%cd%\coreboot
rem # convert windows path format to msys path format (example, c:\tmp becomes /c/tmp)
set COREBOOT_PROJECT_DIR=%COREBOOT_PROJECT_DIR:\=/%
set COREBOOT_PROJECT_DIR=%COREBOOT_PROJECT_DIR::=%
set COREBOOT_PROJECT_DIR=/%COREBOOT_PROJECT_DIR%

rem # manually set locations for cross compiler component (gcc444 or gcc450)
set xgccpath=/gcc450/xgcc
set AS=%xgccpath%/bin/i386-elf-as.exe
set CC=%xgccpath%/bin/i386-elf-gcc.exe -Wa,--divide -fno-stack-protector -Wl,--build-id=none
set AR=%xgccpath%/bin/i386-elf-ar.exe
set LD=%xgccpath%/bin/i386-elf-ld.exe
set STRIP=%xgccpath%/bin/i386-elf-strip.exe
set NM=%xgccpath%/bin/i386-elf-nm.exe
set OBJCOPY=%xgccpath%/bin/i386-elf-objcopy.exe
set OBJDUMP=%xgccpath%/bin/i386-elf-.exe
set HOSTCC=gcc

rem # bypass automatic cross compile tool detection
rem # because the cross compile tools have been manually setup
echo. > coreboot\.xcompile

// add tools directory to the path (for iasl.exe)
set path=%msys_for_coreboot%\tools

// add python to the path (needed to build seabios)
set path=%path%;%msys_for_coreboot%\tools\Python27

rem # start msys build environment
%msys_for_coreboot%\msys.bat


